Bug 1733949 - Two different repositories are reported instead of one regarding Opera for Linux
Summary: Two different repositories are reported instead of one regarding Opera for Linux
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 10:00 UTC by ricky.tigg
Modified: 2020-05-26 16:20 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:20:55 UTC
Type: Bug


Attachments (Terms of Use)

Description ricky.tigg 2019-07-29 10:00:37 UTC
Description of problem: Once package –https://www.opera.com/download?os=linux_ from a third-party software has been installed on system dnf displays two different repositories.

Version-Release number of component: dnf.noarch 4.2.5-2.fc30 @updates
Actual results:

$ dnf -q repolist | grep opera
opera                               Opera packages                 6
$ dnf -q list installed opera-stable | sed -n '2p'
opera-stable.x86_64                 62.0.3331.99-0                 @@commandline

Expected results: existence of at most one repository here "opera" instead of "@@commandline".

Comment 1 Jaroslav Mracek 2019-07-29 10:30:54 UTC
Please could you provide an output from command 'sudo dnf history info opera-stable | grep opera-stable'

Comment 2 ricky.tigg 2019-07-29 11:30:04 UTC
$ LANG=C sudo dnf history info opera-stable | grep opera-stable
    Install opera-stable-62.0.3331.99-0.x86_64 @@commandline
Command Line   : -y remove opera-stable
    Removed opera-stable-62.0.3331.99-0.x86_64 @@System
    Upgrade  opera-stable-62.0.3331.99-0.x86_64               @opera
    Upgraded opera-stable-62.0.3331.66-0.x86_64               @@System
    Install opera-stable-62.0.3331.66-0.x86_64 @@commandline

An installation relying on Gnome Software 3.32.2 was attempted first, while an installation already existed. Then the package was uninstalled using command line then reinstalled relying on Gnome Software.

Comment 3 Jaroslav Mracek 2019-07-29 14:38:50 UTC
Thanks a lot, it means that the problem is probably in libdnf code that is used by packagekit. I am changing the component to packagekit, because I belive that they know how PackageKit is using the library.

Comment 4 Ben Cotton 2020-04-30 21:28:23 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 16:20:55 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.